package dev.thinhha.tunnel_client;

import dev.thinhha.tunnel_client.service.TunnelClient;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;

@SpringBootApplication
public class TunnelClientApplication {

	public static void main(String[] args) {
		SpringApplication.run(TunnelClientApplication.class, args);
	}

	@Bean
	CommandLineRunner runner(TunnelClient tunnelClient) {
		return args -> {
			tunnelClient.connect();
			
			Runtime.getRuntime().addShutdownHook(new Thread(() -> {
				System.out.println("Shutting down tunnel client...");
				tunnelClient.stop();
			}));
			
			while (true) {
				Thread.sleep(1000);
			}
		};
	}
}
