package dev.thinhha.tunnel_client.config;

import org.springframework.http.client.ClientHttpResponse;
import org.springframework.web.client.ResponseErrorHandler;

import java.io.IOException;

public class NoOpResponseErrorHandler implements ResponseErrorHandler {
    
    @Override
    public boolean hasError(ClientHttpResponse response) throws IOException {
        // Never consider any response as an error
        // This allows us to handle all HTTP status codes (including 4xx, 5xx) gracefully
        return false;
    }
    
    @Override
    public void handleError(ClientHttpResponse response) throws IOException {
        // No-op: do nothing, let the response be returned as-is
    }
}