package dev.thinhha.tunnel_client.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.Map;

@Data
@Component
@ConfigurationProperties(prefix = "tunnel")
public class TunnelConfig {
    
    private Server server = new Server();
    private Client client = new Client();
    private Target target = new Target();
    
    @Data
    public static class Server {
        private String url = "ws://localhost:5678";
    }
    
    @Data
    public static class Client {
        private String name = "default-client";
        private String token = "";
    }
    
    @Data
    public static class Target {
        private String defaultUrl = "http://localhost:8080";
        private Map<String, String> routes;
    }
}