package dev.thinhha.tunnel_client.dto;

import dev.thinhha.tunnel_client.types.HttpMethod;
import dev.thinhha.tunnel_client.types.TunnelRequestType;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Map;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class TunnelRequestDto {
    private String requestId;
    private TunnelRequestType type = TunnelRequestType.HTTP; // Default to HTTP for backward compatibility
    private HttpMethod method;
    private String path;
    private Map<String, String> headers;
    private byte[] body;
    private String clientShortName;
    
    // WebSocket specific fields
    private String wsConnectionId;  // For tracking WS connections
    private String wsMessageType;   // TEXT or BINARY
}