package dev.thinhha.tunnel_client.dto;

import dev.thinhha.tunnel_client.types.TunnelRequestType;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Map;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class TunnelResponseDto {
    private String requestId;
    private TunnelRequestType type = TunnelRequestType.HTTP; // Default to HTTP for backward compatibility
    private int statusCode;
    private Map<String, String> headers;
    private byte[] body;
    
    // WebSocket specific fields
    private String wsConnectionId;
    private String wsMessageType;   // TEXT or BINARY
    private boolean wsConnectionEstablished;
}