package dev.thinhha.tunnel_client.entity;

import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.UUID;

@Entity
@Table(name = "header_rule")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class HeaderRule {
    
    @Id
    @GeneratedValue(strategy = GenerationType.UUID)
    private UUID id;
    
    @Column(name = "path_pattern", nullable = false)
    private String pathPattern;
    
    @Column(name = "header_name", nullable = false)
    private String headerName;
    
    @Column(name = "header_value", nullable = false)
    private String headerValue;
    
    @Column(name = "rule_type", nullable = false)
    @Enumerated(EnumType.STRING)
    private HeaderRuleType ruleType = HeaderRuleType.ADD;
    
    @Column(name = "priority", nullable = false)
    private Integer priority = 0;
    
    @Column(name = "enabled", nullable = false)
    private Boolean enabled = true;
    
    @Column(name = "description")
    private String description;
    
    public enum HeaderRuleType {
        ADD,      // Add header (keep existing if present)
        SET,      // Set header (replace existing)
        REMOVE    // Remove header
    }
}