package dev.thinhha.tunnel_client.repository;

import dev.thinhha.tunnel_client.entity.HeaderRule;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.UUID;

@Repository
public interface HeaderRuleRepository extends JpaRepository<HeaderRule, UUID> {
    
    List<HeaderRule> findByEnabledTrueOrderByPriorityDescPathPatternDesc();
    
    @Query("SELECT h FROM HeaderRule h WHERE h.enabled = true AND ?1 LIKE CONCAT(h.pathPattern, '%') ORDER BY h.priority DESC, LENGTH(h.pathPattern) DESC")
    List<HeaderRule> findMatchingRules(String path);
    
    List<HeaderRule> findByPathPatternAndEnabledTrue(String pathPattern);
}