package dev.thinhha.tunnel_client.repository;

import dev.thinhha.tunnel_client.entity.RouteConfig;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.UUID;

@Repository
public interface RouteConfigRepository extends JpaRepository<RouteConfig, UUID> {
    
    List<RouteConfig> findByEnabledTrueOrderByPriorityDescPathPatternDesc();
    
    @Query("SELECT r FROM RouteConfig r WHERE r.enabled = true AND ?1 LIKE CONCAT(r.pathPattern, '%') ORDER BY r.priority DESC, LENGTH(r.pathPattern) DESC")
    List<RouteConfig> findMatchingRoutes(String path);
    
    boolean existsByPathPattern(String pathPattern);
}